/**
 * author:SiZheng.Chen
 * update date:20210120
**/

//#pragma once
#include <iostream>
#include <opencv2/opencv.hpp>

using namespace std;
using namespace cv;

struct BlockedPoreData
{
    Mat blockedImg;
    double blockedArea;
    int blockedCount;
};

BlockedPoreData detectBlocked(Mat image);
Mat detectGrayBlocked(Mat image);
Mat detectNormalBlocked(Mat image);
